<?php
    header("Content-Type:application/json");
    include("../connection.php");
    include("../utils.php");
    
    //Parametros obligatorios
    $parmsob = array("sessionid","id");
    if (!parametrosValidos($_GET, $parmsob))
        badEnd("400", array("msg"=>"Parametros invalidos " . implode(", ", $parmsob)));
        
    //Inicializamos nuestras variables
    $out = new stdClass();
    $sessionid = $_GET["sessionid"];
    $idstudent = $_GET["id"];
    $deleteall = $_GET["deleteall"];
    
    //Validamos que la session sea valida para continuar
    $userid = isSessionValid($db, $sessionid);
    
    //Validamos si tenemos que eliminar todos los alumnos o no
    if($deleteall == null){
        //Eliminamos el alumno
        $sql = "SELECT name FROM pupils WHERE id=".$idstudent."";
        if (!$rs=$db->query($sql))
            badEnd("500", array("msg"=>$db->error));
        
        $row= $rs->fetch_assoc();
        
        //Si no se encuentra un registro retornamos 203
        if($row["name"] == null){
            badEnd("204", array("msg"=>"No se encuentra el registro"));
        }
        
        //Eliminamos el registro
        $sql = "DELETE FROM pupils WHERE id=".$idstudent;
        if (!$db->query($sql))
            badEnd("500", array("msg"=>$db->error));
        
    }else{
        
        // COnsultamos los datos del usuario
        $sql = "SELECT schoolid FROM users WHERE id = ".$userid;
        if (!$rs=$db->query($sql))
            badEnd("500", array("msg"=>$db->error));
            
        $row = $rs->fetch_assoc();
        
        //Eliminamos todos los registros del colegio
        $sql = "DELETE FROM pupils WHERE schoolid=".$row['schoolid'];
        if (!$db->query($sql))
            badEnd("500", array("msg"=>$db->error));
        
    }
        
    $out->id = $idstudent;
    header("HTTP/1.1 200");
    echo (json_encode($out));
    die();
?>